org.apache.cassandra.db

## Class SerializationHeader.Serializer

- java.lang.Object
- - org.apache.cassandra.db.SerializationHeader.Serializer

All Implemented Interfaces:
  IMetadataComponentSerializer<SerializationHeader.Component>

Enclosing class:
  SerializationHeader

    public static class SerializationHeader.Serializer
    extends java.lang.Object
    implements IMetadataComponentSerializer<SerializationHeader.Component>

### Constructor Summary

Constructors
Constructor and Description
`Serializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`SerializationHeader.Component` `deserialize(Version version, DataInputPlus in)` Deserialize metadata component from given input.
`SerializationHeader` `deserializeForMessaging(DataInputPlus in, CFMetaData metadata, ColumnFilter selection, boolean hasStatic)`
`void` `serialize(Version version, SerializationHeader.Component header, DataOutputPlus out)` Serialize metadata component to given output.
`int` `serializedSize(Version version, SerializationHeader.Component header)` Calculate and return serialized size.
`long` `serializedSizeForMessaging(SerializationHeader header, ColumnFilter selection, boolean hasStatic)`
`void` `serializeForMessaging(SerializationHeader header, ColumnFilter selection, DataOutputPlus out, boolean hasStatic)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Serializer

    public Serializer()

### Method Detail

#### serializeForMessaging

    public void serializeForMessaging(SerializationHeader header,
                                      ColumnFilter selection,
                                      DataOutputPlus out,
                                      boolean hasStatic)
                               throws java.io.IOException

Throws:
  `java.io.IOException`

#### deserializeForMessaging

    public SerializationHeader deserializeForMessaging(DataInputPlus in,
                                                       CFMetaData metadata,
                                                       ColumnFilter selection,
                                                       boolean hasStatic)
                                                throws java.io.IOException

Throws:
  `java.io.IOException`

#### serializedSizeForMessaging

    public long serializedSizeForMessaging(SerializationHeader header,
                                           ColumnFilter selection,
                                           boolean hasStatic)

#### serialize

    public void serialize(Version version,
                          SerializationHeader.Component header,
                          DataOutputPlus out)
                   throws java.io.IOException

Description copied from interface: `IMetadataComponentSerializer`
Serialize metadata component to given output.

Specified by:
  `serialize` in interface `IMetadataComponentSerializer<SerializationHeader.Component>`
  `header` - MetadataComponent to serialize
  `out` - serialize destination
Throws:
  `java.io.IOException`

#### deserialize

    public SerializationHeader.Component deserialize(Version version,
                                                     DataInputPlus in)
                                              throws java.io.IOException

Description copied from interface: `IMetadataComponentSerializer`
Deserialize metadata component from given input.

Specified by:
  `deserialize` in interface `IMetadataComponentSerializer<SerializationHeader.Component>`
Parameters:
  `version` - serialize version
  `in` - deserialize source
Returns:
  Deserialized component
Throws:
  `java.io.IOException`

#### serializedSize

    public int serializedSize(Version version,
                              SerializationHeader.Component header)

Description copied from interface: `IMetadataComponentSerializer`
Calculate and return serialized size.

Specified by:
  `serializedSize` in interface `IMetadataComponentSerializer<SerializationHeader.Component>`
  `header` - MetadataComponent to calculate serialized size
Returns:
  serialized size of this component